---
title: "Removes a tier requirement from a resource."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › product

`DELETE /v1/stores/{store}/{kind}/{id}/access_requirements`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `product:write`

## Path parameters

- `store` (`clearAccessRequirement.path.store`; string, required) — The store's id.
- `kind` (`clearAccessRequirement.path.kind`; string, required) — The target's kind, in the plural.
  - minLength 1
- `id` (`clearAccessRequirement.path.id`; string, required)
  - minLength 1

## Query parameters

- `channel` (`clearAccessRequirement.query.channel`; string, required)
  - one of `"api"`, `"web"`, `"mcp"`, `"feed"`, `"any"`
- `from` (`clearAccessRequirement.query.from`; object, optional)

## Header parameters

- `Idempotency-Key` (`clearAccessRequirement.header.Idempotency-Key`; string, optional) — Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.
  - minLength 1; maxLength 255; pattern `^[\x21-\x7E]+$`

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/<kind>/<id>/access_requirements?channel=api' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/<kind>/<id>/access_requirements?channel=api';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/<kind>/<id>/access_requirements?channel=api"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

## Responses

### 200

Removes a tier requirement from a resource.

#### Example

```json
[
  {
    "resource": {
      "kind": "string",
      "id": "string"
    },
    "channel": "string",
    "tier_id": "string",
    "closed": true
  }
]
```

- `resource` (`clearAccessRequirement.response.200.resource`; object, required)
  - `kind` (`clearAccessRequirement.response.200.resource.kind`; string, required)
  - `id` (`clearAccessRequirement.response.200.resource.id`; string, required)
- `channel` (`clearAccessRequirement.response.200.channel`; string, required)
- `tier_id` (`clearAccessRequirement.response.200.tier_id`; any of, required)
  - any of: `string`, `null`
- `closed` (`clearAccessRequirement.response.200.closed`; boolean, required)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`clearAccessRequirement.response.default.type`; string, required)
  - format `uri`
- `title` (`clearAccessRequirement.response.default.title`; string, required)
- `status` (`clearAccessRequirement.response.default.status`; integer, required)
- `detail` (`clearAccessRequirement.response.default.detail`; string, required)
- `code` (`clearAccessRequirement.response.default.code`; string, optional)
- `context` (`clearAccessRequirement.response.default.context`; object, optional)
- `reached_core` (`clearAccessRequirement.response.default.reached_core`; boolean, optional)
- `core_answer` (`clearAccessRequirement.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/clear-access-requirement/index.md
